select * from SaoJose2020..Receber

delete from ContaReceber

--migração do título em aberto
insert into BancoGerencial..ContaReceber(
CodTipoConta,
NomeTipoConta,
DataMovimento,
DataVencimento,
CodCliente,
Valor, 
Parcela,
TotalParcela,
Observacao,
TipoPagamento,
DataHoraUltimaGravacao,
UsuarioUltimaGravacao,
CodVendaC
)
select 
1,
'VENDA',
rec.DTLANC,
rec.DTVENC,
rec.CODCLI,
rec.VALORTOT - rec.VALORREC,
rec.PARCELAS,
rec.PARCELAS,
'MIGRAÇÃO',
'CRD',
GETDATE(),
'MIGRAÇÃO',
DOCTO
from SaoJose2020..Receber as rec
where rec.DTPAG is null
and rec.CODCLI > 0
and rec.CANCELADA is null


update ContaReceber set CodEmp = 1


-- insere crédito do cliente
insert into BancoGerencial..ContaReceber(
CodTipoConta,
NomeTipoConta,
DataMovimento,
DataVencimento,
CodCliente,
Valor,
Parcela,
TotalParcela,
Observacao,
TipoPagamento,
CodEmp,
DebitoCredito
)
select 
'1',
'VENDA',
getdate(),
getdate(),
prd.cliente,
-sum(prd.credito),
'1',
'1',
'MIGRAÇÃO DO CRÉDITO DO CLIENTE',
'DIN',
1,
'C'
from SaoJose2020..ClienteCredito as prd
where prd.cliente > 0
group by prd.cliente;

select * from ContaReceber where DebitoCredito = 'C' and Valor = 0;

delete from ContaReceber where DebitoCredito = 'C' and Valor = 0;